R_CHECK_FILE_VARIANTS(3)

EXPERIMENTAL_FUNC
r_check_file_variants - Test for variants of a filename.

SYNOPSIS
#include <karma_r.h>

flag r_check_file_variants

(CONST char *path, CONST char **extensions)

DESCRIPTION
Test for variants of a filename.

path
    The base pathname to check.

extensions
    The list of extensions to append to <<path>>. This must be terminated with a NULL pointer.

RETURN VALUE
TRUE if one of the paths exists and is a file, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/